#if !defined(AFX_ANIMDLG_H__CC550E2F_6193_11D4_A33C_0040055797F1__INCLUDED_)
#define AFX_ANIMDLG_H__CC550E2F_6193_11D4_A33C_0040055797F1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AnimDlg.h : header file
//

#define CDXINCLUDEALL
#include "cdx.h"

/////////////////////////////////////////////////////////////////////////////
// CAnimDlg dialog

class CAnimDlg : public CDialog
{
// Construction
public:
	CAnimDlg(CWnd* pParent = NULL);   // standard constructor
	~CAnimDlg();

	void AddTile(long nr);
	BOOL InitCDX();
	void Paint();
	void DrawScreen();
	
	CDXScreen*	m_Screen;
	int			m_xTiles, m_yTiles;
	BOOL		m_InWindow;
	int			m_SelAnim, m_Pos;

// Dialog Data
	//{{AFX_DATA(CAnimDlg)
	enum { IDD = IDD_ANIM };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAnimDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAnimDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ANIMDLG_H__CC550E2F_6193_11D4_A33C_0040055797F1__INCLUDED_)
